Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.

Path Parameters

team_id
string
required

Body

application/json

A request to create or update a Baseten secret by name.

name
string
required

Name of the new or existing secret

Example:

"my_secret"

value
string
required

Value of the secret

Example:

"my_secret_value"

Response

200 - application/json

A Baseten secret. Note that we do not support retrieving secret values.

id
string
required

Stable identifier for the secret. Unchanged across rotation.

Example:

"3kZ9xqd"

created_at
string<date-time>
required

Time the secret was created in ISO 8601 format

name
string
required

Name of the secret

team_name
string
required

Name of the team the secret belongs to